Subject: bug#59900: 30.0.50; map pattern in pcase causes a byte-compile error

From: Michael Heerdegen <[email-masked]>
Date: Sat, 10 Dec 2022 02:01:35 +0100

Michael Heerdegen <[email-masked]> writes:

> But I still want to create a patch to support autoloading of the `map'
> pattern in "map.el", this is a good idea.

I'm not so sure after thinking more about it: _Nothing_ in "map.el" has
an autoload cookie.  I'm not convinced that out of all things `map'
pcase patterns should be the only thing that are autoloaded whereby
everything else in map.el requires an explicit `require'.  That would be
hardly consistent

I don't know why the library has no autoload cookies at all but I guess
there is a reason for it.

Michael.